# Generated by go2rpm
%bcond_without check

# https://github.com/hashicorp/go-hclog
%global goipath         github.com/hashicorp/go-hclog
Version:                0.15.0

%gometa

%global common_description %{expand:
Go-hclog is a package for Go that provides a simple key/value logging interface
for use in development and production environments.}

%global golicenses      LICENSE
%global godocs          README.md README-hclogvet.md

Name:           %{goname}
Release:        %mkrel 4
Summary:        Common logging package for hashicorp tools
Group:          Development/Golang
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/fatih/color)
BuildRequires:  golang(github.com/mattn/go-isatty)
BuildRequires:  golang(golang.org/x/tools/go/analysis)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/inspect)
BuildRequires:  golang(golang.org/x/tools/go/analysis/singlechecker)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
mv hclogvet/README.md README-hclogvet.md

%build
for cmd in hclogvet; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# .: TestInterceptLogger fixed next release
%gocheck -d .
%endif

%files
%license LICENSE
%doc README.md README-hclogvet.md
%{_bindir}/*

%gopkgfiles



%changelog
* Fri Jul 04 2025 umeabot <umeabot> 0.15.0-4.mga10
+ Revision: 2245929
- Mageia 10 Mass Rebuild
+ wally <wally>
- update RPM group to Development/Golang

* Tue Apr 05 2022 umeabot <umeabot> 0.15.0-3.mga9
+ Revision: 1844627
- Mageia 9 Mass Rebuild

* Sun Nov 14 2021 guillomovitch <guillomovitch> 0.15.0-2.mga9
+ Revision: 1756514
- rebuild for mageia 9

* Tue Dec 29 2020 pterjan <pterjan> 0.15.0-1.mga8
+ Revision: 1665055
- Add group
- imported package golang-github-hashicorp-hclog


* Sat Dec 19 14:10:28 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.15.0-1
- Update to 0.15.0
- Close: rhbz#1895550

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 19:24:24 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.14.1-1
- Update to 0.14.1

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 09 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.9.2-2
- Add Obsoletes for old name

* Tue Apr 30 17:29:13 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.9.2-1
- Release 0.9.2

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.4.20171005gitca137eb
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3.20171005gitca137eb
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.20171005gitca137eb
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Oct 07 2017 Ed Marshall <esm@logic.net> - 0-0.1.20171005gitca137eb
- First package for Fedora
